Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.nlp.ling
Enum CoreAnnotations.SRL_ID

    java.lang.Object
      java.lang.Enum<CoreAnnotations.SRL_ID>
          edu.stanford.nlp.ling.CoreAnnotations.SRL_ID

All Implemented Interfaces:
  Serializable, Comparable<CoreAnnotations.SRL_ID>

Enclosing class:
  CoreAnnotations

    public static enum CoreAnnotations.SRL_ID

extends Enum<CoreAnnotations.SRL_ID>

Enum Constant Summary
`ALL_NO`
`ARG`
`NO`
`REL`

Method Summary
`static CoreAnnotations.SRL_ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CoreAnnotations.SRL_ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ARG

    public static final CoreAnnotations.SRL_ID ARG

### NO

    public static final CoreAnnotations.SRL_ID NO

### ALL_NO

    public static final CoreAnnotations.SRL_ID ALL_NO

### REL

    public static final CoreAnnotations.SRL_ID REL

Method Detail

### values

    public static CoreAnnotations.SRL_ID[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CoreAnnotations.SRL_ID c : CoreAnnotations.SRL_ID.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CoreAnnotations.SRL_ID valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Stanford NLP Group